
%global meadversion 1.0.1
%global namedversion 1.0.1.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .2
%global serial 12

%bcond_with javadoc
%bcond_without mead

%global alternativespriority 010100
%global apiname transaction
%global altername jta
%global apiversion 1.1
%global apiversionu 1_1
%global apigroupid javax.transaction
%global apiartifactid %{altername}
%global altapiartifactid transaction-api

%define maven_version 1.0.1.Final-redhat-2

Name:           jboss-%{apiname}-api_%{apiversion}_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java Transaction API
Group:          Development/Java

%if %with mead
Source100: org.jboss.spec.javax.transaction-jboss-transaction-api_1.1_spec-1.0.1.Final-redhat-2-sources.zip
Source101: org.jboss.spec.javax.transaction-jboss-transaction-api_1.1_spec-1.0.1.Final-redhat-2-patches.zip
Source102: jboss-transaction-api_1.1_spec-1.0.1.Final-redhat-2-javadoc.jar
Source103: jboss-transaction-api_1.1_spec-1.0.1.Final-redhat-2.pom
Source104: jboss-transaction-api_1.1_spec-1.0.1.Final-redhat-2.jar
Source105: jboss-transaction-api_1.1_spec-1.0.1.Final-redhat-2-sources.jar
%endif

License:        LGPLv2+
URL:            http://fisheye.jboss.org/browse/JBossAS/projects/specs/tags/jboss-%{apiname}-api_%{apiversion}_spec-%{fullversion}
Provides:       %{altername}_%{apiversionu}_api
Provides:       %{altername}_api = 0:%{apiversion}
Provides:       %{altername} = 1:%{apiversion}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
BuildRequires:  %{_sbindir}/update-alternatives
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jpackage-utils
# Removed to avoid conflict on RHEL-7
#Requires:       jboss-specs-parent >= 1.0.0-0.1.Beta2
BuildRequires:  jboss-specs-parent >= 1.0.0-0.1.Beta2
BuildRequires:  unzip
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
BuildRequires:  %{_sbindir}/update-alternatives
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Provides:       %{altername}_%{apiversionu}_api-javadoc
Provides:       %{altername}_api-javadoc = 0:%{apiversion}
Provides:       %{altername}-javadoc = 1:%{apiversion}

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-transaction-api_spec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/ && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# jar alternatives
%if 0
/bin/touch %{buildroot}%{_javadir}/%{altername}.jar
%endif
/bin/touch %{buildroot}%{_javadir}/%{altername}_api.jar
/bin/touch %{buildroot}%{_javadir}/%{altername}_%{apiversionu}_api.jar

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom

# pom alternatives
/bin/touch %{buildroot}%{_mavenpomdir}/JPP-%{altername}.pom
/bin/touch %{buildroot}%{_mavenpomdir}/JPP-%{altername}_api.pom
/bin/touch %{buildroot}%{_mavenpomdir}/JPP-%{altername}_%{apiversionu}_api.pom

# depmaps
%add_to_maven_depmap org.jboss.spec.%{apigroupid} jboss-%{apiname}-api_%{apiversion}_spec %{namedversion} JPP jboss-%{apiname}-api_%{apiversion}_spec
%add_to_maven_depmap %{apigroupid} %{apiartifactid} %{apiversion} JPP %{altername}_%{apiversionu}_api
%add_to_maven_depmap %{apigroupid} %{altapiartifactid} %{apiversion} JPP %{altername}_%{apiversionu}_api

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

# javadoc alternatives
/bin/touch %{buildroot}%{_javadocdir}/%{altername}
/bin/touch %{buildroot}%{_javadocdir}/%{altername}_api
/bin/touch %{buildroot}%{_javadocdir}/%{altername}_%{apiversionu}_api
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%if 0
%{_sbindir}/update-alternatives --install %{_javadir}/%{altername}.jar %{altername} %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%endif
%{_sbindir}/update-alternatives --install %{_javadir}/%{altername}_api.jar %{altername}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_javadir}/%{altername}_%{apiversionu}_api.jar %{altername}_%{apiversionu}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_mavenpomdir}/JPP-%{altername}.pom %{altername}_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_mavenpomdir}/JPP-%{altername}_api.pom %{altername}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_mavenpomdir}/JPP-%{altername}_%{apiversionu}_api.pom %{altername}_%{apiversionu}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%update_maven_depmap

%preun
if [ "$1" = "0" ]; then
%if 0
    %{_sbindir}/update-alternatives --remove %{altername} %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
%endif
    %{_sbindir}/update-alternatives --remove %{altername}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
    %{_sbindir}/update-alternatives --remove %{altername}_%{apiversionu}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
    %{_sbindir}/update-alternatives --remove %{altername}_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
    %{_sbindir}/update-alternatives --remove %{altername}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
    %{_sbindir}/update-alternatives --remove %{altername}_%{apiversionu}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
fi

%postun
%update_maven_depmap

%if %with javadoc
%post javadoc
%{_sbindir}/update-alternatives --install %{_javadocdir}/%{altername} %{altername}_javadoc %{_javadocdir}/%{name} %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_javadocdir}/%{altername}_api %{altername}_api_javadoc %{_javadocdir}/%{name} %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_javadocdir}/%{altername}_%{apiversionu}_api %{altername}_%{apiversionu}_api_javadoc %{_javadocdir}/%{name} %{alternativespriority}

%preun javadoc
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove %{altername}_javadoc %{_javadocdir}/%{name}
    %{_sbindir}/update-alternatives --remove %{altername}_api_javadoc %{_javadocdir}/%{name}
    %{_sbindir}/update-alternatives --remove %{altername}_%{apiversionu}_api_javadoc %{_javadocdir}/%{name}
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README
%{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}.jar
%{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
%{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec-sources.jar
%ghost %{_javadir}/%{altername}_%{apiversionu}_api.jar
%ghost %{_javadir}/%{altername}_api.jar
%if 0
%ghost %{_javadir}/%{altername}.jar
%endif
%{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
%ghost %{_mavenpomdir}/JPP-%{altername}_%{apiversionu}_api.pom
%ghost %{_mavenpomdir}/JPP-%{altername}_api.pom
%ghost %{_mavenpomdir}/JPP-%{altername}.pom
%{_mavendepmapfragdir}/%{name}

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%ghost %{_javadocdir}/%{altername}
%ghost %{_javadocdir}/%{altername}_api
%ghost %{_javadocdir}/%{altername}_%{apiversionu}_api
%endif

%changelog
* Mon Jul 21 2014 Fernando Nasser <fnasser@redhat.com> - 1.0.1-12.Final_redhat_2.2
- Removed dependency on specs parent to avoid conflict on RHEL-7

* Thu Jul 17 2014 David Walluck <dwalluck@redhat.com> - 1.0.1-11.Final_redhat_2.2
- fix Provides

* Mon Jul 07 2014 David Walluck <dwalluck@redhat.com> - 1.0.1-10.Final_redhat_2.2
- remove jta.jar due to conflict with geronimo-specs-compat

* Tue Mar 25 2014 David Walluck <dwalluck@redhat.com> - 1.0.1-9.Final_redhat_2.2
- build (only) wrappers

* Tue Mar 25 2014 David Walluck <dwalluck@redhat.com> 0:1.0.1-9
- disable javadoc

* Thu Mar 20 2014 David Walluck <dwalluck@redhat.com> 0:1.0.1-8
- add javadoc Provides

* Thu Mar 20 2014 David Walluck <dwalluck@redhat.com> 0:1.0.1-7
- add `Provides: jta = 1:1.1' for RHEL 7
- fix alternatives names
- add doc
- fix bad summary and description
- fix file list
- use _mavenpomdir macro
- remove non-MEAD code
- remove repolib code

* Thu Jan 17 2013 David Walluck <dwalluck@redhat.com> 0:1.0.1-6
- artifactId should be jta or transaction-api, not jta-api

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-5.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.0.1-4.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-3.Final_redhat_2.3
- Rebuild unsigned

* Fri Jul 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-3.Final_redhat_1.2
- Use jta as the JAR alternatives

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-3.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Permaine Cheung <pcheung@redhat.com> 0:1.0.1-3.Final_redhat_1
- Remove javadoc.jar from main package

* Thu May 03 2012 Hui Wang <huwang@redhat.com> 0:1.0.1-2.Final_redhat_1
- Fix release tag
- Add LICENSE, README

* Tue Apr 17 2012 Lin Gao <lgao@redhat.com> 0:1.0.1-1.Final
- Upgrade to 1.0.1.Final
- Remove Requires: servlet_api

* Mon Mar 26 2012 David Walluck <dwalluck@redhat.com> 0:1.0.0-7
- fix pom name

* Mon Mar 26 2012 David Walluck <dwalluck@redhat.com> 0:1.0.0-6
- fix depmap entry
- fix servlet BR

* Mon Mar 19 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-5.Final_redhat_1.5
- Remove define _jarsign_opts

* Mon Mar 19 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-5.Final_redhat_1.4
- Fix jars' installation path

* Mon Mar 19 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-5.Final_redhat_1.3
- Upgrade wrapper build

* Fri Mar 16 2012 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-5.Final_redhat_1.2
- Rebuilt with last mead build

* Thu Feb 09 2012 Lin Gao <lgao@redhat.com> 0:1.0.0-5.Final_redhat_1.1
- re vman for pom patch
- rebuild for new sign key

* Fri Jan 27 2012 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-4.Final_redhat_1.1
- Require Servlet 3.0, not 2.5

* Wed Nov 09 2011 Lin Gao <lgao@redhat.com> 0:1.0.0-4.Final_redhat_1
- build rpm format

* Mon Aug 22 2011 Yong Yang <yyang@redhat.com> 0:1.0.0-3
- Build for Werewolf

* Thu Aug 11 2011 David Walluck <dwalluck@redhat.com> 0:1.0.0-2
- fix groupId

* Tue Jun 14 2011 Lin Gao <lgao@redhat.com> 0:1.0.0-1
- Adapt for EAP 6
- no repolib when building with MEAD

* Thu May 26 2011 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1
- Adapted from jboss-jaxrpc_1.1_spec
